ELF32_NEWEHDR(3)

NAME
elf32_newehdr, elf64_newehdr - create a new ELF header for a 32-bit or 64-bit ELF object file

SYNOPSIS
#include <libelf.h>
Elf32_Ehdr *elf32_newehdr(Elf *elf);
Elf64_Ehdr *elf64_newehdr(Elf *elf);

DESCRIPTION
This function initializes a new ELF header and associates it with elf. If elf already has an ELF header associated with it, no new header will be created and the existing header will be returned. An ELF header must be present before calling elf_newscn or elf_newphdr.

PARAMETERS

elf ELF descriptor for which a new ELF header is to be created.

RETURN VALUE
On success, return a pointer to the newly created ELF header. If elf already has an ELF header associated with it, this pre-existing header is returned and no new header is created. On failure, return NULL and set a libelf error code.

SEE ALSO
elf_errno(3), libelf(3), elf(5)

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.